<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "review_request_external".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ReviewRequestExternal".
 *
 * Columns in table "review_request_external" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property integer $account_device_id
 * @property integer $practice_id
 * @property integer $provider_id
 * @property string $ddc_link
 * @property integer $ddc_clicked
 * @property integer $partner_site_id
 * @property string $app_title
 * @property string $date_added
 * @property string $rr_guid
 *
 */
abstract class BaseReviewRequestExternal extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'review_request_external';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ReviewRequestExternal|ReviewRequestExternals', $n);
    }

    public static function representingColumn()
    {
        return 'url';
    }

    public function rules()
    {
        return array(
            array('account_device_id, practice_id, partner_site_id', 'required'),
            array(
                'account_device_id, practice_id, provider_id, partner_site_id, ddc_clicked',
                'numerical',
                'integerOnly' => true
            ),
            array('app_title, ddc_link', 'length', 'max' => 255),
            array('rr_guid', 'length', 'max' => 40),
            array('date_added', 'safe'),
            array(
                'provider_id, ddc_link, ddc_clicked, app_title, date_added, rr_guid',
                'default',
                'setOnEmpty' => true,
                'value' => null
            ),
            array(
                'id, account_device_id, practice_id, provider_id, ddc_link, partner_site_id, ddc_clicked, app_title, '
                    . 'date_added, rr_guid',
                'safe',
                'on' => 'search'
            ),
        );
    }

    public function relations()
    {
        return array();
    }

    public function pivotModels()
    {
        return array();
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'account_device_id' => Yii::t('app', 'Account Device'),
            'practice_id' => Yii::t('app', 'Practice'),
            'provider_id' => Yii::t('app', 'Provider'),
            'ddc_link' => Yii::t('app', 'Url'),
            'ddc_clicked' => Yii::t('app', 'Clicked'),
            'partner_site_id' => Yii::t('app', 'Partner Site'),
            'app_title' => Yii::t('app', 'App Title'),
            'date_added' => Yii::t('app', 'Date Added'),
            'rr_guid' => Yii::t('app', 'Rr Guid'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('account_device_id', $this->account_device_id);
        $criteria->compare('practice_id', $this->practice_id);
        $criteria->compare('provider_id', $this->provider_id);
        $criteria->compare('ddc_link', $this->ddc_link, true);
        $criteria->compare('ddc_clicked', $this->ddc_clicked);
        $criteria->compare('partner_site_id', $this->partner_site_id);
        $criteria->compare('app_title', $this->app_title, true);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('rr_guid', $this->rr_guid, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }
}
